
Redmine - Feature #15212

Atom feed on project with subprojects should show in article title the name of the project

2013-10-28 11:54 - Miodrag Milic

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Feeds Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

If you use Overall activity the name of the project is shown in title. If you use projects activity the name of the subproject isn't shown.

This is inconsistent and should be changed.

Related issues:

Has duplicate Redmine - Defect #5979: rss feed doesn't have same content as a... Closed 2010-07-28

Associated revisions

Revision 20648 - 2020-12-14 02:25 - Go MAEDA

Atom feed on project with subprojects should show in article title the name of the project (#15212).

Patch by Mizuki ISHIKAWA.

History

#1 - 2013-10-28 14:57 - Miodrag Milic

Among other things, this is needed because there is no precise filter for project activity.

For instance, I would like too see activities of all subprojects minus some specific ones. RSS clients usually have advanced filtering based on reg exp

of title and other message parts so this could substitute this missing filter on activities (the checboxes on the right are very limited).

#2 - 2020-04-22 07:05 - Mizuki ISHIKAWA

- File diff.patch added

This patch adds a subproject name to the Atom feed title.

Example:

Bug #1 a parent project issue

Bug #6 a subproject issue

Change before:

  <entry>

    <title>Bug #1 (Assigned): Cannot print recipes</title>

    .....

  </entry>

 <entry>

    <title>Bug #6: Issue of a private subproject</title>

    ......

  </entry>

 Change after:

  <entry>

    <title>Bug #1 (Assigned): Cannot print recipes</title>

    .....

  </entry>

 <entry>

    <title>Private child of eCookbook - Bug #6: Issue of a private subproject</title>

    ......
  </entry>

#3 - 2020-04-22 08:15 - Go MAEDA

- Target version set to 4.2.0

Miodrag Milic wrote:

If you use Overall activity the name of the project is shown in title. If you use projects activity the name of the subproject isn't shown.

This is inconsistent and should be changed.

 Indeed. The patch looks good. Setting the target version to 4.2.0.

#4 - 2020-12-06 14:54 - Go MAEDA

- Has duplicate Defect #5979: rss feed doesn't have same content as activity page added

#5 - 2020-12-08 03:24 - Go MAEDA

- File 10084-v2.patch added

Updated the patch for the current trunk (r20583).

#6 - 2020-12-08 03:25 - Go MAEDA

- File deleted (10084-v2.patch)

#7 - 2020-12-08 03:25 - Go MAEDA

- File 15212-v2.patch added

#8 - 2020-12-14 02:25 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

Files

diff.patch 1.7 KB 2020-04-22 Mizuki ISHIKAWA

15212-v2.patch 1.72 KB 2020-12-08 Go MAEDA
